import * as THREE from 'three';
export declare class ThreeControl {
    private camera;
    private scene;
    private container;
    renderer: THREE.WebGLRenderer | undefined;
    private pmremGenerator;
    private DRACO_LOADER;
    private KTX2_LOADER;
    private controls;
    private autoRotate;
    private requestAnimationFrame;
    private isLocked;
    private renderWidth;
    private renderHeight;
    private content;
    private uvname;
    private canChangeMaterial;
    private faceCameras;
    private snapshotCameras;
    private snapshotCameraRule;
    private faceCameraRule;
    private textureMap;
    private composer;
    constructor();
    init(el: HTMLElement, width?: number, height?: number): void;
    clear(): void;
    loadGltf(model: string, uvname: string[], hdr?: string, callback?: () => void, progressCallback?: (progress: number) => void, traverseCallback?: (child: any) => void): void;
    private loadModel;
    private setContent;
    private traverseMaterials;
    private matchesRule;
    private initControl;
    private render;
    setUV(canvas: HTMLCanvasElement, uvname: string): void;
    updateTexture(uvname: string): void;
    changeCamera(name: string): void;
    rotateMaterialToFront(materialName: string): void;
    setAutoRotate(autoRotate: boolean): void;
    lockCamera(lock?: boolean): void;
    setCameraRules(snapshotRule?: RegExp | string, faceRule?: RegExp | string): void;
    private getCubeMapTexture;
    private showSnapshotAnimation;
    getSnapshot(width?: number, height?: number, useAnimation?: boolean, targetElement?: HTMLElement): Promise<{
        blob: Blob;
        url: string;
        cameraName: string;
    }[]>;
    resize(w?: number, h?: number): void;
    dispose(): void;
    enableZoom(enabled: boolean): void;
}
